View Issue Details

IDProjectCategoryView StatusLast Update
0001376Far ManagerEditorpublic2013-01-31 02:52
ReporterCentaurAssigned Toalexy 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version2.0 
Target VersionFixed in Version3.0 
Summary0001376: Undo replace all
DescriptionТекущее поведение: после массовой замены в редакторе CtrlZ отменяет по одному вхождению.

Предлагаемое поведение: если юзер нажал All в диалоге подтверждения, замену всех оставшихся вхождений считать одним действием и отменять целиком.
TagsNo tags attached.
Build3136

Relationships

related to 0002281 closedalexy Заканчивается память во время поиска с заменой в редакторе 

Activities

NightRoman

2012-10-12 22:09

reporter  

oneline.txt.zip (327 bytes)

NightRoman

2012-10-12 22:12

reporter   bugnote:0009616

*) Распаковать oneline.txt.zip (327 bytes)
*) Открыть в редакторе (F4)
*) Заменить ';' на ',' (CtrlF7 -> All)
*) Наблюдать за памятью.

На х64 с хорошим запасом памяти дошло до 12+ гиг, дальше наблюдать не стал. Это из-за того, что на каждую замену сохраняется undo.

Но дело даже не в памяти (хотя это проблема, пример показывает). Юзер жмет All - это одна операция. И отмена должна быть одна - этой операции.

alexy

2013-01-31 00:52

administrator   bugnote:0010156

3135

Denis

2013-01-31 01:13

reporter   bugnote:0010157

Last edited: 2013-01-31 01:13

View 2 revisions

Если при замене выбрать [All], то после не работает Undo.
3135

alexy

2013-01-31 01:18

administrator   bugnote:0010158

работает. может у тебя там больше 100 мег анду набралось.

Denis

2013-01-31 01:21

reporter   bugnote:0010159

Last edited: 2013-01-31 01:21

View 2 revisions

перед тестом поставил 300 мег
тестирую на приложенном oneline.txt
заменяю a на b

alexy

2013-01-31 01:22

administrator   bugnote:0010160

значит там больше чем 300. Роман же написал что там и до 12 гиг доходит использование памяти.

alexy

2013-01-31 01:29

administrator   bugnote:0010161

На тот файл, памяти для анду надо примерно 130000*70000 = ~9 гигов, а в настройке можно максимум 4 гига выставить.

alexy

2013-01-31 01:31

administrator   bugnote:0010162

Note: в текущем фиксе и без [all] всё восстанавливается одним махом - это приемлемо?

JohnDoe

2013-01-31 01:35

updater   bugnote:0010163

Вообще-то нет.
Пример.
Я контроллирую процесс замены, и в какой-то момент машинально жму не ту клавишу.
Пытаюсь отменить последнее, а не тут-то было.

alexy

2013-01-31 01:48

administrator   bugnote:0010164

3136

Issue History

Date Modified Username Field Change
2010-05-12 18:41 Centaur New Issue
2012-10-12 22:09 NightRoman File Added: oneline.txt.zip
2012-10-12 22:12 NightRoman Note Added: 0009616
2013-01-30 19:27 2useven10 Relationship added related to 0002281
2013-01-31 00:52 alexy Note Added: 0010156
2013-01-31 00:52 alexy Assigned To => alexy
2013-01-31 00:52 alexy Status new => feedback
2013-01-31 01:13 Denis Note Added: 0010157
2013-01-31 01:13 Denis Note Edited: 0010157 View Revisions
2013-01-31 01:18 alexy Note Added: 0010158
2013-01-31 01:21 Denis Note Added: 0010159
2013-01-31 01:21 Denis Note Edited: 0010159 View Revisions
2013-01-31 01:22 alexy Note Added: 0010160
2013-01-31 01:29 alexy Note Added: 0010161
2013-01-31 01:31 alexy Note Added: 0010162
2013-01-31 01:35 JohnDoe Note Added: 0010163
2013-01-31 01:48 alexy Note Added: 0010164
2013-01-31 02:52 alexy Build => 3136
2013-01-31 02:52 alexy Status feedback => closed
2013-01-31 02:52 alexy Resolution open => fixed
2013-01-31 02:52 alexy Fixed in Version => 3.0